BitVector.h File Reference
`#include "Vector.h"`
`#include <stdint.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Classes

class | Generator
class | Parity
class | BitVector
class | SoftVector

## Macros

#define | BitVector2 BitVector

## Functions

std::ostream & | operator<< (std::ostream &, const BitVector &)
std::ostream & | operator<< (std::ostream &, const SoftVector &)

## Macro Definition Documentation

## BitVector2

#define BitVector2 BitVector

## Function Documentation

## operator<<() [1/2]

std::ostream & operator<< | ( | std::ostream & | ,
|  | const BitVector & | )

## operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | ,
|  | const SoftVector & | )